org.apache.cassandra.utils.concurrent

## Class WrappedSharedCloseable

- java.lang.Object
- - org.apache.cassandra.utils.concurrent.SharedCloseableImpl
  - - org.apache.cassandra.utils.concurrent.WrappedSharedCloseable

- All Implemented Interfaces:
    java.lang.AutoCloseable, SharedCloseable
  Direct Known Subclasses:
    BloomFilter, IndexSummary

      public abstract class WrappedSharedCloseable
      extends SharedCloseableImpl

  An implementation of SharedCloseable that wraps a normal AutoCloseable, ensuring its close method is only called when all instances of SharedCloseable have been

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `WrappedSharedCloseable(java.lang.AutoCloseable closeable)`
    `` | `WrappedSharedCloseable(java.lang.AutoCloseable[] closeable)`
    `protected` | `WrappedSharedCloseable(WrappedSharedCloseable copy)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.utils.concurrent.SharedCloseableImpl

      `close, close, isCleanedUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.utils.concurrent.SharedCloseable

      `sharedCopy`

- - ### Constructor Detail

    - #### WrappedSharedCloseable

          public WrappedSharedCloseable(java.lang.AutoCloseable closeable)

    - #### WrappedSharedCloseable

          public WrappedSharedCloseable(java.lang.AutoCloseable[] closeable)

    - #### WrappedSharedCloseable

          protected WrappedSharedCloseable(WrappedSharedCloseable copy)

Copyright © 2018 The Apache Software Foundation